EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

ebook-polish [options] input_file [output_file]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 alebo EPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[MOŽNOSTI]

--add-soft-hyphens, -H
    Add soft hyphens to all words in the book. This allows the book to be rendered better when the text is justified, in readers that do not support hyphenation.

--compress-images, -i
    Losslessly compress images in the book, to reduce the filesize, without affecting image quality.

--cover, -c
    Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

--embed-fonts, -e
    Embed all fonts that are referenced in the document and are not already embedded. This will scan your computer for the fonts, and if they are found, they will be embedded into the document. Please ensure that you have the proper license for embedding the fonts used in this document.

--help, -h
    zobraziť túto nápovedu a skončiť

--jacket, -j
    Insert a "book jacket" page at the start of the book that contains all the book metadata such as title, tags, authors, series, comments, etc. Any previous book jacket will be replaced.

--opf, -o
    Path to an OPF file. The metadata in the book is updated from the OPF file.

--remove-jacket
    Remove a previous inserted book jacket page.

--remove-soft-hyphens
    Remove soft hyphens from all text in the book.

--remove-unused-css, -u
    Odstráni všetky nepoužíté pravidlá CSS zo šablón štýlov a značiek <style>. Niektoré knihy vytvorené z produkčných šablón môžu mať veľký počet CSS pravidiel navyše, ktoré nezodpovedajú žiadnemu skutočnému obsahu. Tieto extra pravidlá môžu spomaľovať čítačky, ktoré ich musia všetky spracovať.

--smarten-punctuation, -p
    Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into their typographically correct equivalents. Note that the algorithm can sometimes generate incorrect results, especially when single quotes at the start of contractions are involved.

--subset-fonts, -f
    Podmnožina písma znamená zredukovanie vloženého písma iba na znaky z tohto písma použité v knihe. Toto výrazne znižuje veľkosť súborov písma (polovičné písmo veľkosť súborov je bežná). Ak napríklad kniha používa konkrétne písmo pre hlavičky, potom podsúbor zredukuje písmo, ktoré bude obsahovať len znaky prítomné v aktuálnych hlavičkách knihy. Alebo ak kniha obsahuje tučné a kurzíva verzie písma, ale tučné a text kurzívou sú relatívne vzácne, alebo úplne chýba potom tučné a kurzívne písma môžu byť zredukované iba na pár znakov alebo úplne odstránené. Jedinou nevýhodou pre podsúbor písma je, že ak sa neskôr rozhodnete pridať ďalší text do vašich kníh, novo pridaný text nemusí byť pokrytý podmnožinou písma.

--upgrade-book, -U
    Upgrade the internal structures of the book, if possible. For instance, upgrades EPUB 2 books to EPUB 3 books.

--verbose
    Produce more verbose output, useful for debugging.

--version
    zobraziť verziu programu a skončiť

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal